pipeline {
    agent any

    stages {
        
        stage('Deploy') {
            steps {
               script {

echo "${IMAGE_TAG}"
withCredentials([file(credentialsId: 'mbm-eks-config', variable: 'KUBECONFIG')]) {
sh """
export KUBECONFIG=$KUBECONFIG
kubectl get pods
"""
}
}
            }
        }
    }
}
